<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de l&#39;espace de nommage src.mainWindow</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacesrc_1_1mainWindow.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Fonctions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Référence de l'espace de nommage src.mainWindow</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1CheckBoxDelegate.html">CheckBoxDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1DiskSizeDelegate.html">DiskSizeDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1mainWindow.html">mainWindow</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">defines the main window of the application.  <a href="classsrc_1_1mainWindow_1_1mainWindow.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1UsbDiskDelegate.html">UsbDiskDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html">usbTableModel</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Un modèle de table pour des séries de clés USB.  <a href="classsrc_1_1mainWindow_1_1usbTableModel.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:acd2ba9ca7936a8edd8a2d8e594813a17"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1mainWindow.html#acd2ba9ca7936a8edd8a2d8e594813a17">registerCmd</a> (cmd, partition)</td></tr>
<tr class="memdesc:acd2ba9ca7936a8edd8a2d8e594813a17"><td class="mdescLeft">&#160;</td><td class="mdescRight">enregistre la commande cmd pour la partition donnée  <a href="namespacesrc_1_1mainWindow.html#acd2ba9ca7936a8edd8a2d8e594813a17">Plus de détails...</a><br /></td></tr>
<tr class="separator:acd2ba9ca7936a8edd8a2d8e594813a17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae034587968568575779f6e856114f0c9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1mainWindow.html#ae034587968568575779f6e856114f0c9">CheckBoxRect</a> (view_item_style_options)</td></tr>
<tr class="separator:ae034587968568575779f6e856114f0c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a7c1c5829d4caf3120f11b4a33dc7e2ad"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1mainWindow.html#a7c1c5829d4caf3120f11b4a33dc7e2ad">licence</a> = {}</td></tr>
<tr class="separator:a7c1c5829d4caf3120f11b4a33dc7e2ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65013dd608fe83ccd99b8d26e8ac1e20"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1mainWindow.html#a65013dd608fe83ccd99b8d26e8ac1e20">available</a></td></tr>
<tr class="separator:a65013dd608fe83ccd99b8d26e8ac1e20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ed2b78355f06891c75a93b176b273f6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1mainWindow.html#a2ed2b78355f06891c75a93b176b273f6">access</a></td></tr>
<tr class="separator:a2ed2b78355f06891c75a93b176b273f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae62c35a7be3d7d4734788727fe4f736d"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1mainWindow.html#ae62c35a7be3d7d4734788727fe4f736d">activeThreads</a> = {}</td></tr>
<tr class="separator:ae62c35a7be3d7d4734788727fe4f736d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac36f315b987717d7c8b267bf8aaf0834"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1mainWindow.html#ac36f315b987717d7c8b267bf8aaf0834">pastCommands</a> = {}</td></tr>
<tr class="separator:ac36f315b987717d7c8b267bf8aaf0834"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2f9106c57f31f70e53af93e3c56b3f8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1mainWindow.html#ac2f9106c57f31f70e53af93e3c56b3f8">lastCommand</a> = None</td></tr>
<tr class="separator:ac2f9106c57f31f70e53af93e3c56b3f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="ae034587968568575779f6e856114f0c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae034587968568575779f6e856114f0c9">&#9670;&nbsp;</a></span>CheckBoxRect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.CheckBoxRect </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>view_item_style_options</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00823">823</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1mainWindow_ae034587968568575779f6e856114f0c9_icgraph.png" border="0" usemap="#namespacesrc_1_1mainWindow_ae034587968568575779f6e856114f0c9_icgraph" alt=""/></div>
<map name="namespacesrc_1_1mainWindow_ae034587968568575779f6e856114f0c9_icgraph" id="namespacesrc_1_1mainWindow_ae034587968568575779f6e856114f0c9_icgraph">
<area shape="rect" title=" " alt="" coords="319,42,525,69"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1CheckBoxDelegate.html#ac01a2349a3ac8bd593de41dc1ab2e7a8" title=" " alt="" coords="5,5,271,47"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1CheckBoxDelegate.html#a3b09ec998fd1c7ed93bf3773b7d797f6" title=" " alt="" coords="7,71,269,98"/>
</map>
</div>

</div>
</div>
<a id="acd2ba9ca7936a8edd8a2d8e594813a17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd2ba9ca7936a8edd8a2d8e594813a17">&#9670;&nbsp;</a></span>registerCmd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.registerCmd </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>cmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>partition</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>enregistre la commande cmd pour la partition donnée </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">cmd</td><td>une commande pour créer un thread t </td></tr>
    <tr><td class="paramname">partition</td><td>une partition </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00053">53</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1mainWindow_acd2ba9ca7936a8edd8a2d8e594813a17_icgraph.png" border="0" usemap="#namespacesrc_1_1mainWindow_acd2ba9ca7936a8edd8a2d8e594813a17_icgraph" alt=""/></div>
<map name="namespacesrc_1_1mainWindow_acd2ba9ca7936a8edd8a2d8e594813a17_icgraph" id="namespacesrc_1_1mainWindow_acd2ba9ca7936a8edd8a2d8e594813a17_icgraph">
<area shape="rect" title="enregistre la commande cmd pour la partition donnée" alt="" coords="308,56,499,83"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1mainWindow.html#a7909026ffe143614eb90bafa670fd413" title="Lance l&#39;action de copier depuis les clés USB." alt="" coords="5,5,260,32"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1mainWindow.html#a72dafc0b126e9d9bd5675653f84cf1d0" title="Lance l&#39;action de copier vers les clés USB." alt="" coords="13,56,252,83"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1mainWindow.html#a3b066d2de9c8caf4237df13511a3d0dd" title="Lance l&#39;action de supprimer des fichiers ou des répertoires dans les clés USB." alt="" coords="25,107,240,149"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Documentation des variables</h2>
<a id="a2ed2b78355f06891c75a93b176b273f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ed2b78355f06891c75a93b176b273f6">&#9670;&nbsp;</a></span>access</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.mainWindow.access</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00040">40</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="ae62c35a7be3d7d4734788727fe4f736d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae62c35a7be3d7d4734788727fe4f736d">&#9670;&nbsp;</a></span>activeThreads</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dictionary src.mainWindow.activeThreads = {}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00042">42</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="a65013dd608fe83ccd99b8d26e8ac1e20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65013dd608fe83ccd99b8d26e8ac1e20">&#9670;&nbsp;</a></span>available</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.mainWindow.available</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00040">40</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="ac2f9106c57f31f70e53af93e3c56b3f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2f9106c57f31f70e53af93e3c56b3f8">&#9670;&nbsp;</a></span>lastCommand</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.mainWindow.lastCommand = None</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00046">46</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="a7c1c5829d4caf3120f11b4a33dc7e2ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c1c5829d4caf3120f11b4a33dc7e2ad">&#9670;&nbsp;</a></span>licence</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dictionary src.mainWindow.licence = {}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00004">4</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="ac36f315b987717d7c8b267bf8aaf0834"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac36f315b987717d7c8b267bf8aaf0834">&#9670;&nbsp;</a></span>pastCommands</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dictionary src.mainWindow.pastCommands = {}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00045">45</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1mainWindow.html">mainWindow</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
